#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <stdlib.h>
#include <gtk/gtk.h>
#include "mdiary.h"

struct mainWindow {
	GtkWidget *mainWindow;
	GtkWidget *buttonChooseWorkspace;
	GtkWidget *searchEntry;
	GtkWidget *dateStart;
	GtkWidget *dateEnd;
	GtkWidget *entryText;
	GtkWidget *popoverDate;
	GtkWidget *calendarRange;
	GtkWidget *checkSearchTitle;
	GtkWidget *checkSearchSummary;
	GtkWidget *checkSearchTags;
	GtkWidget *checkSearchText;
	GtkWidget *labelSummary;
	GtkTreeView *entryListView;
	GtkTreeSelection *entryListSelection;
	GtkTextBuffer *textBuffer;

	GtkListStore *entryListStore;
	GtkWidget *selectedDateEntry;
	GtkTreeModelFilter *entryListFiltered;

	struct filterSettings {
		guint time_start;
		guint time_end;
		gboolean search_title;
		gboolean search_tags;
		gboolean search_summary;
		gboolean search_text;
	} filterSettings;
};

struct mainWindow *mainWindow_new();

/* Slots */
void mainWindow_showPopover(GtkWidget *widget, GdkEvent *event, gpointer user_data);
void mainWindow_chooseWorkspaceClicked(GtkWidget *widget, gint event, gpointer user_data);
void mainWindow_calendarSelected(GtkWidget *widget, gpointer user_data);
void mainWindow_entrySelected(GtkWidget *widget, gpointer user_data);
void mainWindow_filterChanged(GtkWidget *widget, gpointer user_data);
void mainWindow_checkDate(GtkWidget *widget, gint event, gpointer user_data);

#endif /* MAINWINDOW_H */
